<script>
export default {
  name: "jd-input-number",
  props:{
    value:[Number,String]
  },
  computed:{
     val:{
       get(){
         return this.value
       },
       set(val){
         this.$emit('input',val)
       }
     }
  }
}
</script>

<template>
  <div style="display: flex;">
    <div style="flex: 1">
      <el-input-number controls-position="right" v-model="val" style="width: 100%;text-align: left;" ></el-input-number>
    </div>
    <slot></slot>
  </div>
</template>

<style scoped lang="scss">
  ::v-deep.el-input-number{
    .el-input__inner{
      text-align: left;
    }
    span{
      display: none;
    }
  }
</style>
